%define oname pylib
Name: python-module-%oname
Version: 2.0.0
Release: alt1.hg20101113.2
Summary: Testing and filesystem abstraction
License: MIT
Group: Development/Python
Url: http://pylib.org/
Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>
BuildArch: noarch

# hg clone http://bitbucket.org/hpk42/pylib
Source: %name-%version.tar.gz

BuildRequires(pre): rpm-build-python
BuildPreReq: python-devel python-module-setuptools
BuildPreReq: python-module-sphinx-devel

Conflicts: python-module-py

%description
The py lib is a Python development support library featuring
the following tools and modules:

* py.path:  uniform local and svn path objects
* py.apipkg:  explicit API control and lazy-importing
* py.iniconfig:  easy parsing of .ini files
* py.code: dynamic code generation and introspection
* py.path:  uniform local and svn path objects

%package test
Summary: Test for pylib
Group: Development/Python
Requires: %name = %version-%release
%py_requires pytest
Conflicts: python-module-py

%description test
The py lib is a Python development support library featuring
the following tools and modules:

* py.path:  uniform local and svn path objects
* py.apipkg:  explicit API control and lazy-importing
* py.iniconfig:  easy parsing of .ini files
* py.code: dynamic code generation and introspection
* py.path:  uniform local and svn path objects

This package contains test for pylib.

%package docs
Summary: Documentation for pylib
Group: Development/Documentation

%description docs
The py lib is a Python development support library featuring
the following tools and modules:

* py.path:  uniform local and svn path objects
* py.apipkg:  explicit API control and lazy-importing
* py.iniconfig:  easy parsing of .ini files
* py.code: dynamic code generation and introspection
* py.path:  uniform local and svn path objects

This package contains documentation for pylib.

%package pickles
Summary: Documentation for pylib
Group: Development/Python

%description pickles
The py lib is a Python development support library featuring
the following tools and modules:

* py.path:  uniform local and svn path objects
* py.apipkg:  explicit API control and lazy-importing
* py.iniconfig:  easy parsing of .ini files
* py.code: dynamic code generation and introspection
* py.path:  uniform local and svn path objects

This package contains pickles for pylib.

%prep
%setup

%prepare_sphinx .
ln -s ../objects.inv doc/

%build
%python_build

%install
%python_install

export PYTHONPATH=%buildroot%python_sitelibdir
pushd doc
%make html
%make pickle
popd

install -d %buildroot%python_sitelibdir/%oname
cp -fR doc/_build/pickle %buildroot%python_sitelibdir/%oname/

%files
%doc AUTHORS CHANGELOG LICENSE README.txt
%python_sitelibdir/*
%exclude %python_sitelibdir/py/test.*
%exclude %python_sitelibdir/%oname

%files test
%python_sitelibdir/py/test.*

%files pickles
%dir %python_sitelibdir/%oname
%python_sitelibdir/%oname/pickle

%files docs
%doc doc/_build/html/*

%changelog
* Tue Apr 05 2011 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 2.0.0-alt1.hg20101113.2
- Rebuilt with python-module-sphinx-devel

* Mon Nov 22 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 2.0.0-alt1.hg20101113.1
- Added explicit conflict with python-module-py

* Sun Nov 21 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 2.0.0-alt1.hg20101113
- Initial build for Sisyphus

